E-MailRelay

Public Member Functions | Public Attributes | List of all members
GNet::Client::Config Struct Reference

A structure containing GNet::Client configuration parameters. More...

`#include <gclient.h>`

## Public Member Functions
| Config (const LineBufferConfig &)
| Config (const LineBufferConfig &, unsigned int all_timeouts)
| Config (const LineBufferConfig &, unsigned int connection_timeout, unsigned int secure_connection_timeout, unsigned int response_timeout, unsigned int idle_timeout)
Config & | set_sync_dns (bool=true)
Config & | set_auto_start (bool=true)
Config & | set_bind_local_address (bool=true)
Config & | set_local_address (const Address &)
Config & | set_connection_timeout (unsigned int)
Config & | set_secure_connection_timeout (unsigned int)
Config & | set_response_timeout (unsigned int)
Config & | set_idle_timeout (unsigned int)
Config & | set_all_timeouts (unsigned int)

## Public Attributes
Address | local_address
LineBufferConfig | line_buffer_config
bool | sync_dns
bool | auto_start {true}
bool | bind_local_address {false}
unsigned int | connection_timeout {0U}
unsigned int | secure_connection_timeout {0U}
unsigned int | response_timeout {0U}
unsigned int | idle_timeout {0U}

## Detailed Description

A structure containing GNet::Client configuration parameters.

Definition at line 83 of file gclient.h.

## Constructor & Destructor Documentation

## ◆ Config() [1/4]

GNet::Client::Config::Config | ( |  | ) |

Definition at line 510 of file gclient.cpp.

## ◆ Config() [2/4]

GNet::Client::Config::Config | ( | const LineBufferConfig & | lbc | ) |
| explicit

Definition at line 517 of file gclient.cpp.

## ◆ Config() [3/4]

GNet::Client::Config::Config | ( | const LineBufferConfig & | lbc,
|  | unsigned int | all_timeouts
| ) |  |

Definition at line 537 of file gclient.cpp.

## ◆ Config() [4/4]

GNet::Client::Config::Config | ( | const LineBufferConfig & | lbc,
|  | unsigned int | connection_timeout,
|  | unsigned int | secure_connection_timeout,
|  | unsigned int | response_timeout,
|  | unsigned int | idle_timeout
| ) |  |

Definition at line 524 of file gclient.cpp.

## Member Function Documentation

## ◆ set_all_timeouts()

GNet::Client::Config & GNet::Client::Config::set_all_timeouts | ( | unsigned int | all_timeouts | ) |

Definition at line 548 of file gclient.cpp.

## ◆ set_auto_start()

GNet::Client::Config & GNet::Client::Config::set_auto_start | ( | bool | b = `true` | ) |
| inline

Definition at line 287 of file gclient.h.

## ◆ set_bind_local_address()

GNet::Client::Config & GNet::Client::Config::set_bind_local_address | ( | bool | b = `true` | ) |
| inline

Definition at line 288 of file gclient.h.

## ◆ set_connection_timeout()

GNet::Client::Config & GNet::Client::Config::set_connection_timeout | ( | unsigned int | t | ) |
| inline

Definition at line 290 of file gclient.h.

## ◆ set_idle_timeout()

GNet::Client::Config & GNet::Client::Config::set_idle_timeout | ( | unsigned int | t | ) |
| inline

Definition at line 293 of file gclient.h.

## ◆ set_local_address()

GNet::Client::Config & GNet::Client::Config::set_local_address | ( | const Address & | a | ) |
| inline

Definition at line 289 of file gclient.h.

## ◆ set_response_timeout()

GNet::Client::Config & GNet::Client::Config::set_response_timeout | ( | unsigned int | t | ) |
| inline

Definition at line 292 of file gclient.h.

## ◆ set_secure_connection_timeout()

GNet::Client::Config & GNet::Client::Config::set_secure_connection_timeout | ( | unsigned int | t | ) |
| inline

Definition at line 291 of file gclient.h.

## ◆ set_sync_dns()

GNet::Client::Config & GNet::Client::Config::set_sync_dns | ( | bool | b = `true` | ) |
| inline

Definition at line 286 of file gclient.h.

## Member Data Documentation

## ◆ auto_start

bool GNet::Client::Config::auto_start {true}

Definition at line 93 of file gclient.h.

## ◆ bind_local_address

bool GNet::Client::Config::bind_local_address {false}

Definition at line 94 of file gclient.h.

## ◆ connection_timeout

unsigned int GNet::Client::Config::connection_timeout {0U}

Definition at line 95 of file gclient.h.

## ◆ idle_timeout

unsigned int GNet::Client::Config::idle_timeout {0U}

Definition at line 98 of file gclient.h.

## ◆ line_buffer_config

LineBufferConfig GNet::Client::Config::line_buffer_config

Definition at line 91 of file gclient.h.

## ◆ local_address

Address GNet::Client::Config::local_address

Definition at line 90 of file gclient.h.

## ◆ response_timeout

unsigned int GNet::Client::Config::response_timeout {0U}

Definition at line 97 of file gclient.h.

## ◆ secure_connection_timeout

unsigned int GNet::Client::Config::secure_connection_timeout {0U}

Definition at line 96 of file gclient.h.

## ◆ sync_dns

bool GNet::Client::Config::sync_dns

Definition at line 92 of file gclient.h.

The documentation for this struct was generated from the following files:

- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/gnet/gclient.h
- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/gnet/gclient.cpp